<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "partner_stats_report".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "PartnerStatsReport".
 *
 * Columns in table "partner_stats_report" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property integer $partner_site_id
 * @property string $partner_site
 * @property string $date
 * @property integer $qualified_calls
 * @property integer $appointment_requests
 * @property integer $provider_ratings
 * @property integer $providers
 * @property integer $featured_providers
 * @property integer $provider_times_logged_in
 * @property integer $docpoints
 * @property string $accounts_created
 *
 */
abstract class BasePartnerStatsReport extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'partner_stats_report';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'PartnerStatsReport|PartnerStatsReports', $n);
    }

    public static function representingColumn()
    {
        return 'partner_site';
    }

    public function rules()
    {
        return array(
            array('partner_site_id, partner_site, date', 'required'),
            array('partner_site_id, qualified_calls, appointment_requests, provider_ratings, providers, '
                . 'featured_providers, provider_times_logged_in, docpoints', 'numerical', 'integerOnly' => true),
            array('partner_site, accounts_created', 'length', 'max' => 45),
            array('qualified_calls, appointment_requests, provider_ratings, providers, featured_providers, '
                . 'provider_times_logged_in, docpoints, accounts_created', 'default', 'setOnEmpty' => true,
                'value' => null),
            array('id, partner_site_id, partner_site, date, qualified_calls, appointment_requests, provider_ratings, '
                . 'providers, featured_providers, provider_times_logged_in, docpoints, accounts_created', 'safe',
                'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'partner_site_id' => Yii::t('app', 'Partner Site'),
            'partner_site' => Yii::t('app', 'Partner Site'),
            'date' => Yii::t('app', 'Date'),
            'qualified_calls' => Yii::t('app', 'Qualified Calls'),
            'appointment_requests' => Yii::t('app', 'Appointment Requests'),
            'provider_ratings' => Yii::t('app', 'Provider Ratings'),
            'providers' => Yii::t('app', 'Providers'),
            'featured_providers' => Yii::t('app', 'Featured Providers'),
            'provider_times_logged_in' => Yii::t('app', 'Provider Times Logged In'),
            'docpoints' => Yii::t('app', 'Profilepoints'),
            'accounts_created' => Yii::t('app', 'Accounts Created'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('partner_site_id', $this->partner_site_id);
        $criteria->compare('partner_site', $this->partner_site, true);
        $criteria->compare('date', $this->date, true);
        $criteria->compare('qualified_calls', $this->qualified_calls);
        $criteria->compare('appointment_requests', $this->appointment_requests);
        $criteria->compare('provider_ratings', $this->provider_ratings);
        $criteria->compare('providers', $this->providers);
        $criteria->compare('featured_providers', $this->featured_providers);
        $criteria->compare('provider_times_logged_in', $this->provider_times_logged_in);
        $criteria->compare('docpoints', $this->docpoints);
        $criteria->compare('accounts_created', $this->accounts_created, true);

        return new CActiveDataProvider(get_class($this), array(
            'criteria' => $criteria,
            'pagination' => array(
                'pageSize' => 100
            )
        ));
    }

}
